<% provide :title do %><%= t("debates.index.title") %><% end %>
<% content_for :header_addon do %>
  <%= render "shared/search_form",
             search_path: debates_path(page: 1),
             i18n_namespace: "debates.index.search_form" %>
<% end %>
<% content_for :canonical do %>
  <%= render "shared/canonical", href: debates_url %>
<% end %>

<main>
  <% if @search_terms || @advanced_search_terms || @tag_filter %>
    <div class="highlight no-margin-top padding margin-bottom">
      <div class="row">
        <div class="small-12 column">
          <% if @search_terms || @advanced_search_terms %>
            <h2><%= t("shared.search_results") %></h2>
            <p>
              <%= page_entries_info @debates %>
              <% if !@advanced_search_terms %>
                <%= t("debates.index.search_results_html", count: @debates.size, search_term: @search_terms) %>
              <% end %>
            </p>
          <% elsif @tag_filter %>
            <h2><%= t("shared.search_results") %></h2>
            <p>
              <%= page_entries_info @debates %>
              <%= t("debates.index.filter_topic", count: @debates.size, topic: @tag_filter) %>
            </p>
          <% end %>
        </div>
      </div>
    </div>
  <% else %>
    <%= render "shared/section_header", i18n_namespace: "debates.index.section_header", image: "debates" %>
  <% end %>

  <% if feature?("user.recommendations") && @recommended_debates.present? %>
    <%= render "shared/recommended_index", recommended: @recommended_debates,
                                           disable_recommendations_path: recommendations_disable_debates_path,
                                           namespace: "debates" %>
  <% end %>

  <div class="row">
    <div id="debates" class="debates-list small-12 medium-12 column">

      <% if has_banners? %>
        <%= render "shared/banner" %>
      <% end %>

      <% unless @tag_filter || @search_terms || !has_featured? %>
        <%= render "featured_debates" %>
      <% end %>

      <div class="row">
        <div class="small-12 column">
          <%= render "view_mode" %>
        </div>
      </div>

      <%= render "shared/advanced_search", search_path: debates_path(page: 1) %>

      <%= render "shared/order_links", i18n_namespace: "debates.index" %>

      <div class="show-for-small-only">
        <%= link_to t("debates.index.start_debate"), new_debate_path, class: "button expanded" %>
      </div>

      <% if @debates.any? || current_user.blank? %>
        <% if debates_default_view? %>
          <%= render @debates %>
        <% else %>
          <% @debates.each do |debate| %>
            <%= render partial: "debates/debate_minimal", locals: { debate: debate } %>
          <% end %>
        <% end %>
      <% else %>
        <%= empty_recommended_debates_message_text(current_user) %>
      <% end %>
      <%= paginate @debates %>

      <% unless @search_terms || @advanced_search_terms || @tag_filter %>
        <div id="section_help" class="margin" data-magellan-target="section_help">
          <p class="lead">
            <strong><%= t("debates.index.section_footer.title") %></strong>
          </p>
          <p><%= t("debates.index.section_footer.description") %></p>
          <p><%= t("debates.index.section_footer.help_text_1") %></p>
          <p><%= t("debates.index.section_footer.help_text_2",
                    org: link_to(setting["org_name"], new_user_registration_path)).html_safe %></p>
          </p>
        </div>
      <% end %>
    </div>

    

    <div class="small-12 medium-3 column">
      <aside class="margin-bottom">
        <%= link_to t("debates.index.start_debate"), new_debate_path, class: "button expanded" %>
        <%= render "shared/tag_cloud", taggable: "debate" %>
        <%= render "shared/download_links", downloadable: 'debate' %>
      </aside>
    </div>

  </div>
</main>
